Home / Lua API Manual / types / lua_check_button
< lua_button
lua_combobox >

# lua_check_button

`dt_type`

A checkable button with a label next to it Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_check_button.__call

see types.lua_widget.As a function

# 🔗lua_check_button.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_check_button.label

`string`

The label displayed next to the button

Attributes:

- write

# 🔗lua_check_button.value

`boolean`

If the widget is checked or not

Attributes:

- write

# 🔗lua_check_button.clicked_callback

    function(
      widget : types.lua_widget
    )

A function to call on button click

- widget - types.lua_widget - The widget that triggered the callback

Attributes:

- write

< lua_button
lua_combobox >